﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace DockingManager_127386
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TabControlExt_LayoutUpdated(object sender, EventArgs e)
        {
            foreach (var window in Application.Current.Windows)
            {
                if (window is NativeFloatWindow)
                {
                    foreach (var content in FloatedCollection)
                    {
                        if (VisualUtils.FindRootVisual(content as Visual) == window)
                        {
                            NativeFloatWindow win = window as NativeFloatWindow;
                            win.IsOpen = true;
                        }
                    }
                    
                }
            }
        }

        public static ObservableCollection<DependencyObject> FloatedCollection = new ObservableCollection<DependencyObject>();
    }
}
